#FUNCTION CREATED BY MR_MOOSE#

#GAMERULES#
gamerule doTileDrops false
gamerule doDaylightCycle false
gamerule doWeatherCycle false
gamerule keepInventory true
gamerule announceAdvancements false
gamerule commandBlockOutput false
gamerule doFireTick false
gamerule doMobSpawning false
gamerule mobGriefing false
gamerule fallDamage false

#GAMEMODE#
execute if entity @a[gamemode=survival,tag=!admin] run gamemode adventure @a
title @a[gamemode=creative,tag=!admin] actionbar {"text":"Do not cheat!","color":"red","bold":true,"underlined":true}
title @a[gamemode=spectator,tag=!admin] actionbar {"text":"Do not cheat!","color":"red","bold":true,"underlined":true}
defaultgamemode adventure

#EFFECTS#
effect give @a saturation 99999 100 true
effect give @a resistance 99999 100 true
effect give @a night_vision 99999 100 true
xp set @a 100 levels
xp set @a 0 points

#TIMER#
scoreboard objectives add ticks dummy
scoreboard objectives add sec dummy
scoreboard objectives add s0t6 dummy
scoreboard objectives add s0t9 dummy
scoreboard objectives add min dummy
tag @a[tag=start] add timeStart
scoreboard players add @a[tag=timestart] ticks 1
scoreboard players add @a[scores={ticks=20}] sec 1
scoreboard players set @a[scores={ticks=20}] ticks 0
scoreboard players set @a[scores={sec=0..9}] s0t6 0
scoreboard players set @a[scores={sec=10..19}] s0t6 1
scoreboard players set @a[scores={sec=20..29}] s0t6 2
scoreboard players set @a[scores={sec=30..39}] s0t6 3
scoreboard players set @a[scores={sec=40..49}] s0t6 4
scoreboard players set @a[scores={sec=50..59}] s0t6 5
scoreboard players set @a[scores={sec=0}] s0t9 0
scoreboard players set @a[scores={sec=1}] s0t9 1
scoreboard players set @a[scores={sec=2}] s0t9 2
scoreboard players set @a[scores={sec=3}] s0t9 3
scoreboard players set @a[scores={sec=4}] s0t9 4
scoreboard players set @a[scores={sec=5}] s0t9 5
scoreboard players set @a[scores={sec=6}] s0t9 6
scoreboard players set @a[scores={sec=7}] s0t9 7
scoreboard players set @a[scores={sec=8}] s0t9 8
scoreboard players set @a[scores={sec=9}] s0t9 9
scoreboard players set @a[scores={sec=10}] s0t9 0
scoreboard players set @a[scores={sec=11}] s0t9 1
scoreboard players set @a[scores={sec=12}] s0t9 2
scoreboard players set @a[scores={sec=13}] s0t9 3
scoreboard players set @a[scores={sec=14}] s0t9 4
scoreboard players set @a[scores={sec=15}] s0t9 5
scoreboard players set @a[scores={sec=16}] s0t9 6
scoreboard players set @a[scores={sec=17}] s0t9 7
scoreboard players set @a[scores={sec=18}] s0t9 8
scoreboard players set @a[scores={sec=19}] s0t9 9
scoreboard players set @a[scores={sec=20}] s0t9 0
scoreboard players set @a[scores={sec=21}] s0t9 1
scoreboard players set @a[scores={sec=22}] s0t9 2
scoreboard players set @a[scores={sec=23}] s0t9 3
scoreboard players set @a[scores={sec=24}] s0t9 4
scoreboard players set @a[scores={sec=25}] s0t9 5
scoreboard players set @a[scores={sec=26}] s0t9 6
scoreboard players set @a[scores={sec=27}] s0t9 7
scoreboard players set @a[scores={sec=28}] s0t9 8
scoreboard players set @a[scores={sec=29}] s0t9 9
scoreboard players set @a[scores={sec=30}] s0t9 0
scoreboard players set @a[scores={sec=31}] s0t9 1
scoreboard players set @a[scores={sec=32}] s0t9 2
scoreboard players set @a[scores={sec=33}] s0t9 3
scoreboard players set @a[scores={sec=34}] s0t9 4
scoreboard players set @a[scores={sec=35}] s0t9 5
scoreboard players set @a[scores={sec=36}] s0t9 6
scoreboard players set @a[scores={sec=37}] s0t9 7
scoreboard players set @a[scores={sec=38}] s0t9 8
scoreboard players set @a[scores={sec=39}] s0t9 9
scoreboard players set @a[scores={sec=40}] s0t9 0
scoreboard players set @a[scores={sec=41}] s0t9 1
scoreboard players set @a[scores={sec=42}] s0t9 2
scoreboard players set @a[scores={sec=43}] s0t9 3
scoreboard players set @a[scores={sec=44}] s0t9 4
scoreboard players set @a[scores={sec=45}] s0t9 5
scoreboard players set @a[scores={sec=46}] s0t9 6
scoreboard players set @a[scores={sec=47}] s0t9 7
scoreboard players set @a[scores={sec=48}] s0t9 8
scoreboard players set @a[scores={sec=49}] s0t9 9
scoreboard players set @a[scores={sec=50}] s0t9 0
scoreboard players set @a[scores={sec=51}] s0t9 1
scoreboard players set @a[scores={sec=52}] s0t9 2
scoreboard players set @a[scores={sec=53}] s0t9 3
scoreboard players set @a[scores={sec=54}] s0t9 4
scoreboard players set @a[scores={sec=55}] s0t9 5
scoreboard players set @a[scores={sec=56}] s0t9 6
scoreboard players set @a[scores={sec=57}] s0t9 7
scoreboard players set @a[scores={sec=58}] s0t9 8
scoreboard players set @a[scores={sec=59}] s0t9 9
scoreboard players add @a[scores={sec=60}] min 1
scoreboard players set @a[scores={sec=60}] sec 0
execute unless entity @a[scores={platetime=1..}] as @a run title @s actionbar [{"text":"Time: ","color":"dark_green","bold":true},{"score":{"name":"@s","objective":"min"},"color":"green","bold":true},{"text":":","color":"green","bold":true},{"score":{"name":"@s","objective":"s0t6"},"color":"green","bold":true},{"score":{"name":"@s","objective":"s0t9"},"color":"green","bold":true}]

#BUGS#
scoreboard objectives add bug trigger
scoreboard players enable @a bug
tellraw @a[scores={bug=1..}] {"text":"If you found a bug, click this message to submit it. Thank you.","color":"dark_aqua","bold":true,"clickEvent":{"action":"open_url","value":"https://mr-moose-minecraft.weebly.com/bug-tracker.html"}}
scoreboard players set @a[scores={bug=1..}] bug 0
setblock 18 5 0 air
setblock 18 5 0 jungle_wall_sign[facing=east]{Text2:'{"text":"Thank you","bold":true}',Text3:'[{"selector":"@p","bold":false},{"text":"."}]'}